local lgr = love.graphics
local lms = love.mouse
local win = love.window
local lfs = love.filesystem
local kbd = love.keyboard
local tmr = love.timer
local pi = math.pi

sampleState = {
	backgroundUpdate = true,
	backgroundDraw = true,
	name = "Sample"
}

function sampleState:load(arg)

	self.loaded = true
end

-- 88   88 88""Yb 8888b.     db    888888 888888
-- 88   88 88__dP  8I  Yb   dPYb     88   88__
-- Y8   8P 88"""   8I  dY  dP__Yb    88   88""
-- `YbodP' 88     8888Y"  dP""""Yb   88   888888
function sampleState:update(dt)

end

-- 8888b.  88""Yb    db    Yb        dP
--  8I  Yb 88__dP   dPYb    Yb  db  dP
--  8I  dY 88"Yb   dP__Yb    YbdPYbdP
-- 8888Y"  88  Yb dP""""Yb    YP  YP
function sampleState:draw()

end


-- 88  dP 888888 Yb  dP 88""Yb 88""Yb 888888 .dP"Y8 .dP"Y8 888888 8888b.
-- 88odP  88__    YbdP  88__dP 88__dP 88__   `Ybo." `Ybo." 88__    8I  Yb
-- 88"Yb  88""     8P   88"""  88"Yb  88""   o.`Y8b o.`Y8b 88""    8I  dY
-- 88  Yb 888888  dP    88     88  Yb 888888 8bodP' 8bodP' 888888 8888Y"
function sampleState:keypressed(k, r)

end

-- 8b    d8  dP"Yb  88   88 .dP"Y8 888888 88""Yb 88""Yb 888888 .dP"Y8 .dP"Y8 888888 8888b.
-- 88b  d88 dP   Yb 88   88 `Ybo." 88__   88__dP 88__dP 88__   `Ybo." `Ybo." 88__    8I  Yb
-- 88YbdP88 Yb   dP Y8   8P o.`Y8b 88""   88"""  88"Yb  88""   o.`Y8b o.`Y8b 88""    8I  dY
-- 88 YY 88  YbodP  `YbodP' 8bodP' 888888 88     88  Yb 888888 8bodP' 8bodP' 888888 8888Y"
function sampleState:mousepressed(x, y, button)

end

-- 8b    d8  dP"Yb  88   88 .dP"Y8 888888 88""Yb 888888 88     888888    db    .dP"Y8 888888 8888b.
-- 88b  d88 dP   Yb 88   88 `Ybo." 88__   88__dP 88__   88     88__     dPYb   `Ybo." 88__    8I  Yb
-- 88YbdP88 Yb   dP Y8   8P o.`Y8b 88""   88"Yb  88""   88  .o 88""    dP__Yb  o.`Y8b 88""    8I  dY
-- 88 YY 88  YbodP  `YbodP' 8bodP' 888888 88  Yb 888888 88ood8 888888 dP""""Yb 8bodP' 888888 8888Y"
function sampleState:mousereleased(x, y, button)

end

function sampleState:mousemoved(x, y, dx, dy)
	-- self.mouseControl = true
end


function sampleState:unload(arg)
	self.loaded = false
end


function sampleState:blur(arg)
	local arg = arg or {}
	self.focused = false
end

function sampleState:focus(arg)
	local arg = arg or {}
	self.focused = true
end


function sampleState:resize(w, h)
	print("RESIZE GAME")
end
