extern vec4 tint;

vec4 mask(vec4 base,vec4 over)
{
	return vec4(over.rgb*over.a+base.rgb*(1-over.a),over.a+base.a*(1-over.a));
}
vec4 effect( vec4 colour, Image texture, vec2 texturePos, vec2 screenPos )
{
	vec4 tex2 = Texel( texture, texturePos );
	vec4 tint2 = tint;

	vec4 diff;
	diff[0] = tint2[0] - tex2.r;
	diff[1] = tint2[1] - tex2.g;
	diff[2] = tint2[2] - tex2.b;

	tex2.r = tex2.r + diff[0] * tint2[3];
	tex2.g = tex2.g + diff[1] * tint2[3];
	tex2.b = tex2.b + diff[2] * tint2[3];

	return tex2;
	// return mask(colour,tex2);
}
